<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne se o numero passado é primo ou não
        */
        function isPrime(number) {
            // implementar logica aqui

            let prime_check = true;

            if (number == 1) {
                prime_check = false;
            } else if (number > 1) {
                for(let i = 2; i < number; i++) {
                    if (number % i == 0) {
                        prime_check = false;
                        break;
                    }
                }
            }

            return prime_check
        }

        // Resultados esperados
        console.log(isPrime(2), true) // true
        console.log(isPrime(3), true) // true
        console.log(isPrime(4), false) // false
        console.log(isPrime(5), true) // true
        console.log(isPrime(6), false) // false
        console.log(isPrime(7), true) // true
        console.log(isPrime(8), false) // false
        console.log(isPrime(25), false) // false
        console.log(isPrime(31), true) // true
        console.log(isPrime(2017), true) // true
        console.log(isPrime(2048), false) // false
        console.log(isPrime(1), false) // false

    </script>
</body>

</html>